Bug 20140 - Allow translating more of OAI sets
Summary: Allow translating more of OAI sets
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-06 09:33 UTC by paxed
Modified: 2018-04-06 17:45 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20140: Allow translating more of OAI sets (1.70 KB, patch)
2018-02-06 09:35 UTC, paxed
Details | Diff | Splinter Review
Bug 20140: Allow translating more of OAI sets (1.75 KB, patch)
2018-02-23 21:26 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20140: Allow translating more of OAI sets (1.80 KB, patch)
2018-02-26 06:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-02-06 09:33:50 UTC
There's two untranslatable strings in OAI set config: "setDescription" and "Remove"
Comment 1 paxed 2018-02-06 09:35:26 UTC
Created attachment 71245 [details] [review]
Bug 20140: Allow translating more of OAI sets

Allow translating two strings in the OAI set config:
"setDescription" and "Remove"

Test plan:

1) Go to Home -> Administrator -> OAI sets config -> Add a new OAI set
2) Click on "New set"
3) Click on "Add description"
4) Note the "setDescription:" and "Remove" -texts
5) Install patch, update language, translate the new strings
6) Redo 1-4, note how the strings in part 4 are now translated
Comment 2 Roch D'Amour 2018-02-23 21:26:50 UTC
Created attachment 72161 [details] [review]
Bug 20140: Allow translating more of OAI sets

Allow translating two strings in the OAI set config:
"setDescription" and "Remove"

Test plan:

1) Go to Home -> Administrator -> OAI sets config -> Add a new OAI set
2) Click on "New set"
3) Click on "Add description"
4) Note the "setDescription:" and "Remove" -texts
5) Install patch, update language, translate the new strings
6) Redo 1-4, note how the strings in part 4 are now translated

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>
Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Katrin Fischer 2018-02-25 22:11:34 UTC
Hi Paxed, patch is fine as usual, but wondering about setDescription. I think the term was taken from the OAI spec:

https://www.openarchives.org/OAI/openarchivesprotocol.html 
a setDescription -- an optional and repeatable container that may hold community-specific XML-encoded data about the set; the accompanying Implementation Guidelines document provides suggestions regarding the usage of this container.

So maybe we want to change it in English too? "Description (setDescription):" ?
Comment 4 paxed 2018-02-26 06:05:09 UTC
(In reply to Katrin Fischer from comment #3)
> Hi Paxed, patch is fine as usual, but wondering about setDescription. I
> think the term was taken from the OAI spec:
> 
> https://www.openarchives.org/OAI/openarchivesprotocol.html 
> a setDescription -- an optional and repeatable container that may hold
> community-specific XML-encoded data about the set; the accompanying
> Implementation Guidelines document provides suggestions regarding the usage
> of this container.
> 
> So maybe we want to change it in English too? "Description
> (setDescription):" ?

Perhaps, but there were two reasons for why I made it translatable:

1) The same "setDescription" text header in the table, and the same label above in the template are translatable - so why not this instance of it?

2) Leaving a text string in javascript like that is a bad example - perhaps someone will look at it and add similar untranslatable strings elsewhere. Better have everything translatable that sometimes some strings not.
Comment 5 Katrin Fischer 2018-02-26 06:52:01 UTC
Created attachment 72195 [details] [review]
Bug 20140: Allow translating more of OAI sets

Allow translating two strings in the OAI set config:
"setDescription" and "Remove"

Test plan:

1) Go to Home -> Administrator -> OAI sets config -> Add a new OAI set
2) Click on "New set"
3) Click on "Add description"
4) Note the "setDescription:" and "Remove" -texts
5) Install patch, update language, translate the new strings
6) Redo 1-4, note how the strings in part 4 are now translated

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>
Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2018-02-26 16:29:16 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-04-06 17:45:16 UTC
Awesome work all, backported to stable for 17.11.05